Sign Up

LSP

Get code completions

POST
/lsp/completions

Get code completion suggestions from the LSP server

Request Body

Completion request

application/json
  1. body
context?
languageId*string
pathToProject*string
position*
uri*string

Response Body

OK

application/json
  1. response
isIncomplete*boolean
items*array<>
curl -X POST 'https://example.com/lsp/completions' \  -H 'Content-Type: application/json' \  -d '{  "languageId": "string",  "pathToProject": "string",  "position": {    "character": 0,    "line": 0  },  "uri": "string"}'
{  "isIncomplete": true,  "items": [    {      "detail": "string",      "documentation": null,      "filterText": "string",      "insertText": "string",      "kind": 0,      "label": "string",      "sortText": "string"    }  ]}

Notify document closed

POST
/lsp/did-close

Notify the LSP server that a document has been closed

Request Body

Document request

application/json
  1. body
languageId*string
pathToProject*string
uri*string

Response Body

OK

curl -X POST 'https://example.com/lsp/did-close' \  -H 'Content-Type: application/json' \  -d '{  "languageId": "string",  "pathToProject": "string",  "uri": "string"}'
Empty

Notify document opened

POST
/lsp/did-open

Notify the LSP server that a document has been opened

Request Body

Document request

application/json
  1. body
languageId*string
pathToProject*string
uri*string

Response Body

OK

curl -X POST 'https://example.com/lsp/did-open' \  -H 'Content-Type: application/json' \  -d '{  "languageId": "string",  "pathToProject": "string",  "uri": "string"}'
Empty

Get document symbols

GET
/lsp/document-symbols

Get symbols (functions, classes, etc.) from a document

Query Parameters

languageId*string

Language ID (e.g., python, typescript)

pathToProject*string

Path to project

uri*string

Document URI

Response Body

OK

application/json
  1. response
[index: integer]?
curl -X GET 'https://example.com/lsp/document-symbols?languageId=string&pathToProject=string&uri=string'
[  {    "kind": 0,    "location": {      "range": {        "end": {          "character": 0,          "line": 0        },        "start": {          "character": 0,          "line": 0        }      },      "uri": "string"    },    "name": "string"  }]

Start LSP server

POST
/lsp/start

Start a Language Server Protocol server for the specified language

Request Body

LSP server request

application/json
  1. body
languageId*string
pathToProject*string

Response Body

OK

curl -X POST 'https://example.com/lsp/start' \  -H 'Content-Type: application/json' \  -d '{  "languageId": "string",  "pathToProject": "string"}'
Empty

Stop LSP server

POST
/lsp/stop

Stop a Language Server Protocol server

Request Body

LSP server request

application/json
  1. body
languageId*string
pathToProject*string

Response Body

OK

curl -X POST 'https://example.com/lsp/stop' \  -H 'Content-Type: application/json' \  -d '{  "languageId": "string",  "pathToProject": "string"}'
Empty

Get workspace symbols

GET
/lsp/workspacesymbols

Search for symbols across the entire workspace

Query Parameters

query*string

Search query

languageId*string

Language ID (e.g., python, typescript)

pathToProject*string

Path to project

Response Body

OK

application/json
  1. response
[index: integer]?
curl -X GET 'https://example.com/lsp/workspacesymbols?query=string&languageId=string&pathToProject=string'
[  {    "kind": 0,    "location": {      "range": {        "end": {          "character": 0,          "line": 0        },        "start": {          "character": 0,          "line": 0        }      },      "uri": "string"    },    "name": "string"  }]